polybori::groebner::RelatedTerms Class Reference

This class finds those terms in a given set which are related to given terms. More...

`#include <RelatedTerms.h>`

Inheritance diagram for polybori::groebner::RelatedTerms:

## Public Types

typedef TransformedSequence < MonomialSet, BoundedDivisorsOf > | divisors_sequence_type

## Public Member Functions

| RelatedTerms (const BoolePolyRing &ring)
| Empty set of terms. More...
| RelatedTerms (const Monomial &lead, const MonomialSet &monomials, const MonomialSet &ignorable)
| Constructor. More...
const MonomialSet & | terms () const
| Access actual monomial set. More...
divisors_sequence_type | divisors (const MonomialSet &monomials) const
| Get sequence of corresponding divisors (in the given monomial set) More...

## Additional Inherited Members

Protected Member Functions inherited from polybori::groebner::RelatedTermsBase
| RelatedTermsBase (const BoolePolyRing &ring)
| Empty set of terms. More...
| RelatedTermsBase (const Monomial &lead, const MonomialSet &terms, const MonomialSet &ignorable, const MonomialSet &significant)
| Nontrivial constructor. More...
const MonomialSet & | related_terms () const
| finally get the related terms More...
const BoundedDivisorsOf & | divisors_of () const
| Get parameterized functional. More...
MonomialSet | factors (const MonomialSet &terms) const
| Minimal related elements from `terms`, with `lead's` variables set to 1. More...
MonomialSet | critical_terms_base (const MonomialSet &terms) const
| Related elements in `terms` modulo the ignorable elements. More...
MonomialSet | unrelated_terms (const MonomialSet &terms) const
| Extract terms not owning variables of current generator's leading term. More...

## Detailed Description

This class finds those terms in a given set which are related to given terms.

Get interesting terms (active ones owning some of `lead's` variables)

## Member Typedef Documentation

typedef TransformedSequence<MonomialSet, BoundedDivisorsOf> polybori::groebner::RelatedTerms::divisors_sequence_type

## Constructor & Destructor Documentation

polybori::groebner::RelatedTerms::RelatedTerms | ( | const BoolePolyRing & | ring) |  |

inline

Empty set of terms.

polybori::groebner::RelatedTerms::RelatedTerms | ( | const Monomial & | lead,
|  | const MonomialSet & | monomials,
|  | const MonomialSet & | ignorable
| ) |  |

inline

Constructor.

## Member Function Documentation

divisors_sequence_type polybori::groebner::RelatedTerms::divisors | ( | const MonomialSet & | monomials) |  | const

inline

Get sequence of corresponding divisors (in the given monomial set)

const MonomialSet& polybori::groebner::RelatedTerms::terms | ( | ) |  | const

inline

Access actual monomial set.

The documentation for this class was generated from the following file:

- RelatedTerms.h